package net.knarcraft.blacksmith.formatting;

import net.knarcraft.knarlib.formatting.Translator;

/**
 * An enum representing all item types used in messages
 */
public enum ItemType {

    ENCHANTMENT,
    MATERIAL;

    /**
     * Gets the name of this item type
     *
     * @return <p>The name of this item type</p>
     */
    public String getItemTypeName() {
        return switch (this) {
            case MATERIAL -> Translator.getTranslatedMessage(BlacksmithTranslatableMessage.ITEM_TYPE_MATERIAL);
            case ENCHANTMENT -> Translator.getTranslatedMessage(BlacksmithTranslatableMessage.ITEM_TYPE_ENCHANTMENT);
        };
    }

}
